#pragma once
// IWYU pragma: private, include <quark.hpp>

#define QK_KEY_SPACE              32
#define QK_KEY_APOSTROPHE         39  /* ' */
#define QK_KEY_COMMA              44  /* , */
#define QK_KEY_MINUS              45  /* - */
#define QK_KEY_PERIOD             46  /* . */
#define QK_KEY_SLASH              47  /* / */
#define QK_KEY_0                  48
#define QK_KEY_1                  49
#define QK_KEY_2                  50
#define QK_KEY_3                  51
#define QK_KEY_4                  52
#define QK_KEY_5                  53
#define QK_KEY_6                  54
#define QK_KEY_7                  55
#define QK_KEY_8                  56
#define QK_KEY_9                  57
#define QK_KEY_SEMICOLON          59  /* ; */
#define QK_KEY_EQUAL              61  /* = */
#define QK_KEY_A                  65
#define QK_KEY_B                  66
#define QK_KEY_C                  67
#define QK_KEY_D                  68
#define QK_KEY_E                  69
#define QK_KEY_F                  70
#define QK_KEY_G                  71
#define QK_KEY_H                  72
#define QK_KEY_I                  73
#define QK_KEY_J                  74
#define QK_KEY_K                  75
#define QK_KEY_L                  76
#define QK_KEY_M                  77
#define QK_KEY_N                  78
#define QK_KEY_O                  79
#define QK_KEY_P                  80
#define QK_KEY_Q                  81
#define QK_KEY_R                  82
#define QK_KEY_S                  83
#define QK_KEY_T                  84
#define QK_KEY_U                  85
#define QK_KEY_V                  86
#define QK_KEY_W                  87
#define QK_KEY_X                  88
#define QK_KEY_Y                  89
#define QK_KEY_Z                  90
#define QK_KEY_LEFT_BRACKET       91  /* [ */
#define QK_KEY_BACKSLASH          92  /* \ */
#define QK_KEY_RIGHT_BRACKET      93  /* ] */
#define QK_KEY_GRAVE_ACCENT       96  /* ` */
#define QK_KEY_WORLD_1            161 /* non-US #1 */
#define QK_KEY_WORLD_2            162 /* non-US #2 */

/* Function keys */
#define QK_KEY_ESCAPE             256
#define QK_KEY_ENTER              257
#define QK_KEY_TAB                258
#define QK_KEY_BACKSPACE          259
#define QK_KEY_INSERT             260
#define QK_KEY_DELETE             261
#define QK_KEY_RIGHT              262
#define QK_KEY_LEFT               263
#define QK_KEY_DOWN               264
#define QK_KEY_UP                 265
#define QK_KEY_PAGE_UP            266
#define QK_KEY_PAGE_DOWN          267
#define QK_KEY_HOME               268
#define QK_KEY_END                269
#define QK_KEY_CAPS_LOCK          280
#define QK_KEY_SCROLL_LOCK        281
#define QK_KEY_NUM_LOCK           282
#define QK_KEY_PRINT_SCREEN       283
#define QK_KEY_PAUSE              284
#define QK_KEY_F1                 290
#define QK_KEY_F2                 291
#define QK_KEY_F3                 292
#define QK_KEY_F4                 293
#define QK_KEY_F5                 294
#define QK_KEY_F6                 295
#define QK_KEY_F7                 296
#define QK_KEY_F8                 297
#define QK_KEY_F9                 298
#define QK_KEY_F10                299
#define QK_KEY_F11                300
#define QK_KEY_F12                301
#define QK_KEY_F13                302
#define QK_KEY_F14                303
#define QK_KEY_F15                304
#define QK_KEY_F16                305
#define QK_KEY_F17                306
#define QK_KEY_F18                307
#define QK_KEY_F19                308
#define QK_KEY_F20                309
#define QK_KEY_F21                310
#define QK_KEY_F22                311
#define QK_KEY_F23                312
#define QK_KEY_F24                313
#define QK_KEY_F25                314
#define QK_KEY_KP_0               320
#define QK_KEY_KP_1               321
#define QK_KEY_KP_2               322
#define QK_KEY_KP_3               323
#define QK_KEY_KP_4               324
#define QK_KEY_KP_5               325
#define QK_KEY_KP_6               326
#define QK_KEY_KP_7               327
#define QK_KEY_KP_8               328
#define QK_KEY_KP_9               329
#define QK_KEY_KP_DECIMAL         330
#define QK_KEY_KP_DIVIDE          331
#define QK_KEY_KP_MULTIPLY        332
#define QK_KEY_KP_SUBTRACT        333
#define QK_KEY_KP_ADD             334
#define QK_KEY_KP_ENTER           335
#define QK_KEY_KP_EQUAL           336
#define QK_KEY_LEFT_SHIFT         340
#define QK_KEY_LEFT_CONTROL       341
#define QK_KEY_LEFT_ALT           342
#define QK_KEY_LEFT_SUPER         343
#define QK_KEY_RIGHT_SHIFT        344
#define QK_KEY_RIGHT_CONTROL      345
#define QK_KEY_RIGHT_ALT          346
#define QK_KEY_RIGHT_SUPER        347
#define QK_KEY_MENU               348
