#include "Logger.hpp"

#include <spdlog/sinks/stdout_color_sinks.h>

namespace qk {
	std::shared_ptr<spdlog::logger> Logger::coreLogger;
	std::shared_ptr<spdlog::logger> Logger::clientLogger;

	void Logger::Init() {
		spdlog::set_pattern("[%^%l%$] %T.%e (%t) %n: %v");

		coreLogger = spdlog::stdout_color_mt("quark");
		coreLogger->set_level(spdlog::level::trace);

		clientLogger = spdlog::stdout_color_mt("app");
		clientLogger->set_level(spdlog::level::trace);
	}
}

