#pragma once

#include "quark/Input.hpp"
#include <utility>

namespace qk {
	class LinuxInput : 
		public Input 
	{
	protected:
		virtual bool IntIsKeyDown(int keyCode) override;

		virtual bool IntIsMouseDown(int button) override;
		virtual std::pair<float, float> IntGetMousePosition() override;
	};
}
