#pragma once

#include "quark/photon/RenderingContext.hpp"

struct GLFWwindow;

namespace qk {
	class OpenGLContext :
		public RenderingContext
	{
	public:
		OpenGLContext(GLFWwindow* window);

		virtual void Init() override;
		virtual void SwapBuffers() override;

	private:
		GLFWwindow* window;
	};
}
