#pragma once

#include "quark/Layer.hpp"

namespace qk {
	class ImGuiLayer :
		public Layer
	{
	public:
		ImGuiLayer();
		~ImGuiLayer();

		virtual void OnAttach() override;
		virtual void OnDetach() override;

		void Begin();
		void End();

		virtual void OnImGuiRender() override;

	private:
		float lastTime = 0.0f;
	};
}
